if RequiredScript == "lib/tweak_data/levelstweakdata" then

local LevelsTweakDataoiinit = LevelsTweakData.init

function LevelsTweakData:init(...)

                LevelsTweakDataoiinit(self, ...)
				
    self.ceo1 = {}
	self.ceo1.name_id = "heist_ceo1"
	self.ceo1.briefing_id = "heist_big_briefing"
	self.ceo1.briefing_dialog = "Play_pln_bb1_brf_01"
	self.ceo1.world_name = "narratives/bain/big"
	self.ceo1.intro_event = "Play_pln_bb1_intro_01"
	self.ceo1.outro_event = {
		"Play_pln_bb1_end_01",
		"Play_pln_bb1_end_02",
		"Play_pln_bb1_end_03",
		"Play_pln_bb1_end_04"
	}
	self.ceo1.music = "big_bank"
	self.ceo1.package = "packages/narr_big"
	self.ceo1.cube = "cube_apply_heist_bank"
	self.ceo1.ghost_bonus = 0.15
	self.ceo1.max_bags = 150
	
	self.ceo2 = {}
	self.ceo2.name_id = "heist_ceo2"
	self.ceo2.briefing_id = "heist_kenaz_briefing"
	self.ceo2.briefing_dialog = "Play_pln_ca1_brf_01"
	self.ceo2.world_name = "narratives/dentist/cas"
	self.ceo2.intro_event = {
		"Play_pln_ca1_intro_01",
		"Play_pln_ca1_intro_02"
	}
	self.ceo2.outro_event = {
		"dentist_ca1_debrief_01",
		"dentist_ca1_debrief_02"
	}
	self.ceo2.music = "heist"
	self.ceo2.package = {
		"packages/kenaz"
	}
	self.ceo2.cube = "cube_apply_heist_bank"
	self.ceo2.ghost_bonus = 0.1
	self.ceo2.max_bags = 40
	
	self.ceo3 = {}
	self.ceo3.name_id = "heist_ceo3"
	self.ceo3.briefing_id = "heist_ceo3_briefing"
	self.ceo3.briefing_dialog = "Play_pln_ko1_brf_01"
	self.ceo3.world_name = "narratives/bain/shadow_raid"
	self.ceo3.intro_event = "Play_pln_ko1_intro_01"
	self.ceo3.outro_event = {
		"Play_pln_ko1_end_01"
	}
	self.ceo3.music = "no_music"
	self.ceo3.music_ext = "ceo3_music"
	self.ceo3.music_ext_start = "suspense_1"
	self.ceo3.package = "packages/ceo3"
	self.ceo3.cube = "cube_apply_heist_bank"
	self.ceo3.ghost_bonus = 0.05
	self.ceo3.max_bags = 30
	
	self.ceo4 = {}
	self.ceo4.name_id = "heist_ceo4"
	self.ceo4.briefing_id = "heist_mus_briefing"
	self.ceo4.briefing_dialog = "Play_pln_hd1_brf_01"
	self.ceo4.world_name = "narratives/dentist/mus"
	self.ceo4.intro_event = "Play_pln_hd1_intro_01"
	self.ceo4.outro_event = {
		"dentist_hd1_debrief_01",
		"dentist_hd1_debrief_02"
	}
	self.ceo4.music = "heist"
	self.ceo4.package = "packages/narr_mus"
	self.ceo4.cube = "cube_apply_heist_bank"
	self.ceo4.max_bags = 30
	self.ceo4.ghost_bonus = 0.15
	
	self.ceo5 = {}
	self.ceo5.name_id = "heist_crojob2_hl"
	self.ceo5.briefing_id = "heist_crojob2_briefing"
	self.ceo5.briefing_dialog = "Play_pln_cr2_brf_01"
	self.ceo5.world_name = "narratives/butcher/thebomb/stage_2"
	self.ceo5.intro_event = "Play_pln_cr2_intro_01"
	self.ceo5.outro_event = {
		"butcher_cr1_debrief_01",
		"butcher_cr1_debrief_02"
	}
	self.ceo5.music = "heist"
	self.ceo5.package = {
		"packages/dlcs/the_bomb/crojob_stage_2"
	}
	self.ceo5.cube = "cube_apply_heist_bank"
	self.ceo5.ghost_bonus = 0.2
	self.ceo5.max_bags = 21
end


elseif RequiredScript == "lib/tweak_data/preplanningtweakdata" then

local PrePlanningTweakData_oinit = PrePlanningTweakData._create_locations

function PrePlanningTweakData:_create_locations(tweak_data)
PrePlanningTweakData_oinit(self, tweak_data)

   self.locations.ceo2 = {
		default_plans = {
			entry_plan = "kenaz_silent_entry",
			escape_plan = "kenaz_limo_escape"
		},
		total_budget = 15,
		mission_briefing_texture = "guis/textures/pd2/pre_planning/mission_briefing_casino",
		start_location = {
			group = "a",
			x = 1024,
			y = 1024,
			zoom = 1
		},
		{
			name_id = "menu_pp_kenaz_loc_a",
			texture = "guis/dlcs/kenaz/textures/pd2/pre_planning/kenaz_loc_a_df",
			map_x = -1.1,
			map_y = 0,
			map_width = 1,
			map_height = 2,
			x1 = -6175,
			y1 = -14450,
			x2 = 4975,
			y2 = 7850,
			rotation = 0
		},
		start_location = {
			group = "b",
			x = 512,
			y = 512,
			zoom = 1
		},
		{
			name_id = "menu_pp_kenaz_loc_b",
			texture = "guis/dlcs/kenaz/textures/pd2/pre_planning/kenaz_loc_b_df",
			map_x = 0,
			map_y = 0,
			map_width = 1,
			map_height = 2,
			x1 = -6175,
			y1 = -14450,
			x2 = 5475,
			y2 = 8350,
			rotation = 0,
			custom_points = {
				{
					x = 544,
					y = 1181,
					text_id = "menu_pp_info_kenaz_reception",
					to_upper = true,
					icon = 45,
					rotation = -90,
					post_event = "Play_pln_ca1_140"
				},
				{
					x = 546,
					y = 1223,
					text_id = "menu_pp_info_kenaz_lobby",
					to_upper = true,
					icon = 45,
					rotation = -90,
					post_event = "Play_pln_ca1_141"
				},
				{
					x = 229,
					y = 1020,
					text_id = "menu_pp_info_kenaz_pool_area",
					to_upper = true,
					icon = 45,
					rotation = -90,
					post_event = "Play_pln_ca1_142"
				},
				{
					x = 812,
					y = 971,
					text_id = "menu_pp_info_kenaz_outside_lounge",
					to_upper = true,
					icon = 45,
					rotation = -90,
					post_event = "Play_pln_ca1_143"
				},
				{
					x = 551,
					y = 924,
					text_id = "menu_pp_info_kenaz_gambling_hall",
					to_upper = true,
					icon = 45,
					rotation = -90,
					post_event = "Play_pln_ca1_144"
				},
				{
					x = 550,
					y = 566,
					text_id = "menu_pp_info_kenaz_employees_only",
					to_upper = true,
					icon = 45,
					rotation = -90,
					post_event = "Play_pln_ca1_146"
				},
				{
					x = 546,
					y = 625,
					text_id = "menu_pp_info_kenaz_security_center",
					to_upper = true,
					icon = 45,
					rotation = -90,
					post_event = "Play_pln_ca1_147"
				}
			}
		},
		start_location = {
			group = "c",
			x = 512,
			y = 512,
			zoom = 1
		},
		{
			name_id = "menu_pp_kenaz_loc_c",
			texture = "guis/dlcs/kenaz/textures/pd2/pre_planning/kenaz_loc_c_df",
			map_x = 0.85,
			map_y = -0.5,
			map_width = 0.5,
			map_height = 1,
			x1 = -200,
			y1 = -400,
			x2 = 200,
			y2 = 400,
			rotation = 0
		}
	}
	
	self.locations.ceo1 = {
		default_plans = {
			escape_plan = "escape_helicopter_loud",
			vault_plan = "vault_big_drill"
		},
		total_budget = 10,
		mission_briefing_texture = "guis/textures/pd2/pre_planning/mission_briefing_big",
		start_location = {
			group = "a",
			x = 1500,
			y = 1025,
			zoom = 1.5
		},
		{
			name_id = "menu_pp_big_loc_a",
			texture = "guis/dlcs/big_bank/textures/pd2/pre_planning/big_lobby",
			map_x = -1.1,
			map_y = 0.5,
			map_size = 1,
			x1 = -250,
			y1 = -3000,
			x2 = 5750,
			y2 = 3000,
			rotation = 90,
			custom_points = {
				{
					x = 1500,
					y = 1025,
					text_id = "menu_pp_info_frontdoor",
					to_upper = true,
					icon = 45,
					rotation = -90,
					post_event = "pln_pp_bb1_a"
				},
				{
					x = 800,
					y = 480,
					text_id = "menu_pp_info_backoffices",
					to_upper = true,
					icon = 45,
					rotation = -90,
					post_event = "pln_pp_bb1_c"
				},
				{
					x = 1300,
					y = 1690,
					text_id = "menu_pp_info_garage",
					to_upper = true,
					icon = 45,
					rotation = -90,
					post_event = "pln_pp_bb1_l"
				},
				{
					x = 1000,
					y = 1025,
					text_id = "menu_pp_info_mainhall",
					to_upper = true,
					icon = 45,
					rotation = -90,
					post_event = "pln_pp_bb1_n"
				},
				{
					x = 1950,
					y = 350,
					text_id = "menu_pp_info_entrypoint",
					to_upper = true,
					icon = 45,
					rotation = -90,
					post_event = "pln_pp_bb1_o"
				},
				{
					x = 90,
					y = 1024,
					text_id = "menu_pp_info_timelock",
					to_upper = true,
					icon = 45,
					rotation = -90,
					post_event = "pln_pp_bb1_d"
				},
				{
					x = 348,
					y = 590,
					text_id = "menu_pp_info_securityroom",
					to_upper = true,
					icon = 45,
					rotation = -90,
					post_event = "pln_pp_bb1_i"
				},
				{
					x = 574,
					y = 1742,
					text_id = "menu_pp_info_securityroom",
					to_upper = true,
					icon = 45,
					rotation = -90,
					post_event = "pln_pp_bb1_i"
				}
			}
		},
		{
			name_id = "menu_pp_big_loc_b",
			texture = "guis/dlcs/big_bank/textures/pd2/pre_planning/big_level_2",
			map_x = 0,
			map_y = 0.5,
			map_size = 1,
			x1 = -250,
			y1 = -3000,
			x2 = 5750,
			y2 = 3000,
			rotation = 90,
			custom_points = {
				{
					x = 190,
					y = 1700,
					text_id = "menu_pp_info_mgroffices",
					to_upper = true,
					icon = 45,
					rotation = -90,
					post_event = "pln_pp_bb1_k"
				},
				{
					x = 800,
					y = 480,
					text_id = "menu_pp_info_backoffices",
					to_upper = true,
					icon = 45,
					rotation = -90,
					post_event = "pln_pp_bb1_c"
				},
				{
					x = 90,
					y = 1024,
					text_id = "menu_pp_info_timelock",
					to_upper = true,
					icon = 45,
					rotation = -90,
					post_event = "pln_pp_bb1_d"
				},
				{
					x = 870,
					y = 1625,
					text_id = "menu_pp_info_ladder",
					to_upper = true,
					icon = 45,
					rotation = -90,
					post_event = "pln_pp_bb1_b"
				},
				{
					x = 164,
					y = 1437,
					text_id = "menu_pp_info_securityroom",
					to_upper = true,
					icon = 45,
					rotation = -90,
					post_event = "pln_pp_bb1_i"
				}
			}
		},
		{
			name_id = "menu_pp_big_loc_c",
			texture = "guis/dlcs/big_bank/textures/pd2/pre_planning/big_roof",
			map_x = 1.1,
			map_y = 0.5,
			map_size = 1,
			x1 = -250,
			y1 = -3000,
			x2 = 5750,
			y2 = 3000,
			rotation = 90,
			custom_points = {
				{
					x = 869,
					y = 1629,
					text_id = "menu_pp_info_ladder",
					to_upper = true,
					icon = 45,
					rotation = -90,
					post_event = "pln_pp_bb1_b"
				},
				{
					x = 1356,
					y = 1164,
					text_id = "menu_pp_info_zipline",
					to_upper = true,
					icon = 45,
					rotation = -90,
					post_event = "pln_pp_bb1_m"
				},
				{
					x = 782,
					y = 1458,
					text_id = "menu_pp_info_roof",
					to_upper = true,
					icon = 45,
					rotation = -90,
					post_event = "pln_pp_bb1_h"
				}
			}
		},
		{
			name_id = "menu_pp_big_loc_d",
			texture = "guis/dlcs/big_bank/textures/pd2/pre_planning/big_level_vault_2",
			map_x = 0,
			map_y = -0.6,
			map_size = 1,
			x1 = -5771,
			y1 = -3000,
			x2 = 229,
			y2 = 3000,
			rotation = 90,
			custom_points = {
				{
					x = 1152,
					y = 1298,
					text_id = "menu_pp_info_vaultsecurity1",
					to_upper = true,
					icon = 45,
					rotation = -90,
					post_event = "pln_pp_bb1_g"
				},
				{
					x = 1152,
					y = 746,
					text_id = "menu_pp_info_vaultsecurity2",
					to_upper = true,
					icon = 45,
					rotation = -90,
					post_event = "pln_pp_bb1_g"
				},
				{
					x = 465,
					y = 1365,
					text_id = "menu_pp_info_vault",
					to_upper = true,
					icon = 45,
					rotation = -90,
					post_event = "pln_pp_bb1_f"
				}
			}
		},
		{
			name_id = "menu_pp_big_loc_e",
			texture = "guis/dlcs/big_bank/textures/pd2/pre_planning/big_level_vault",
			map_x = -1.1,
			map_y = -0.6,
			map_size = 1,
			x1 = -5771,
			y1 = -3000,
			x2 = 229,
			y2 = 3000,
			rotation = 90,
			custom_points = {
				{
					x = 1154,
					y = 1015,
					text_id = "menu_pp_info_moneycounting",
					to_upper = true,
					icon = 45,
					rotation = -90,
					post_event = "pln_pp_bb1_e"
				},
				{
					x = 465,
					y = 1365,
					text_id = "menu_pp_info_vault",
					to_upper = true,
					icon = 45,
					rotation = -90,
					post_event = "pln_pp_bb1_f"
				}
			}
		}
	}
	
	self.locations.ceo3 = {
		default_plans = {},
		total_budget = 8,
		mission_briefing_texture = "guis/textures/pd2/pre_planning/mission_briefing_shadowraid",
		start_location = {
			group = "a",
			x = 2048,
			y = 1024,
			zoom = 0.8
		},
		min_zoom = 0.4,
		{
			name_id = "menu_pp_shadow_raid_loc_a",
			texture = "guis/textures/pd2/pre_planning/shadow_raid_1",
			map_x = -0.59999996,
			map_y = -0.59999996,
			map_size = 2,
			x1 = -5650,
			y1 = -7850,
			x2 = 6850,
			y2 = 4650,
			rotation = 0,
			custom_points = {}
		},
		{
			name_id = "menu_pp_shadow_raid_loc_b",
			texture = "guis/textures/pd2/pre_planning/shadow_raid_2",
			map_x = 1.1,
			map_y = -1.1000001,
			map_size = 1,
			x1 = -3950,
			y1 = -6150,
			x2 = 1550,
			y2 = -650,
			rotation = 0,
			custom_points = {}
		},
		{
			name_id = "menu_pp_shadow_raid_loc_c",
			texture = "guis/textures/pd2/pre_planning/shadow_raid_3",
			map_x = 1.1,
			map_y = 0,
			map_size = 1,
			x1 = -3950,
			y1 = -6150,
			x2 = 1550,
			y2 = -650,
			rotation = 0,
			custom_points = {}
		},
		{
			name_id = "menu_pp_shadow_raid_loc_d",
			texture = "guis/textures/pd2/pre_planning/shadow_raid_4",
			map_x = 1.1,
			map_y = 1.1,
			map_size = 1,
			x1 = -3950,
			y1 = -6150,
			x2 = 1550,
			y2 = -650,
			rotation = 0,
			custom_points = {}
		}
	}
	
	self.locations.ceo4 = {
		default_plans = {},
		total_budget = 10,
		mission_briefing_texture = "guis/textures/pd2/pre_planning/mission_briefing_museum",
		start_location = {
			group = "a",
			x = 1024,
			y = 521,
			zoom = 1.5
		},
		{
			name_id = "menu_pp_mus_loc_a",
			texture = "guis/textures/pd2/pre_planning/mus_1",
			map_x = -1.05,
			map_y = 0,
			map_width = 1,
			map_height = 2,
			x1 = -10000,
			y1 = -5000,
			x2 = 10000,
			y2 = 5000,
			rotation = -90,
			custom_points = {}
		},
		{
			name_id = "menu_pp_mus_loc_b",
			texture = "guis/textures/pd2/pre_planning/mus_2",
			map_x = 0,
			map_y = 0,
			map_width = 1,
			map_height = 2,
			x1 = -10000,
			y1 = -5000,
			x2 = 10000,
			y2 = 5000,
			rotation = -90,
			custom_points = {}
		},
		{
			name_id = "menu_pp_mus_loc_c",
			texture = "guis/textures/pd2/pre_planning/mus_3",
			map_x = 1.05,
			map_y = 0,
			map_width = 1,
			map_height = 2,
			x1 = -10000,
			y1 = -5000,
			x2 = 10000,
			y2 = 5000,
			rotation = -90,
			custom_points = {}
		}
	}
	
	self.locations.ceo5 = {
		default_plans = {
			escape_plan = "crojob2_escape_van"
		},
		total_budget = 10,
		mission_briefing_texture = "guis/textures/pd2/pre_planning/mission_briefing_crojob_stealth",
		start_location = {
			group = "a",
			x = 1024,
			y = 1024,
			zoom = 1.5
		},
		{
			name_id = "menu_pp_crojob_stage_2_loc_a",
			texture = "guis/dlcs/the_bomb/textures/pd2/pre_planning/crojob_stage_2_a",
			map_x = 0,
			map_y = 0,
			map_size = 1,
			x1 = -9500,
			y1 = -8500,
			x2 = 10500,
			y2 = 11500,
			rotation = 0,
			custom_points = {
				{
					x = 964,
					y = 1134,
					text_id = "menu_pp_info_crojob2_ship",
					to_upper = true,
					icon = 45,
					rotation = 0,
					post_event = "Play_pln_cr2_14"
				},
				{
					x = 454,
					y = 538,
					text_id = "menu_pp_info_crojob2_loading_dock_3B",
					to_upper = true,
					icon = 45,
					rotation = 0,
					post_event = "Play_pln_cr2_105"
				},
				{
					x = 964,
					y = 770,
					text_id = "menu_pp_info_crojob2_dock_gate",
					to_upper = true,
					icon = 45,
					rotation = 0,
					post_event = "Play_pln_cr2_106"
				},
				{
					x = 1134,
					y = 768,
					text_id = "menu_pp_info_crojob2_control_room_right",
					to_upper = true,
					icon = 45,
					rotation = 0,
					post_event = "Play_pln_cr2_107"
				},
				{
					x = 798,
					y = 768,
					text_id = "menu_pp_info_crojob2_control_room_left",
					to_upper = true,
					icon = 45,
					rotation = 0,
					post_event = "Play_pln_cr2_108"
				},
				{
					x = 82,
					y = 702,
					text_id = "menu_pp_info_crojob2_fence_gate",
					to_upper = true,
					icon = 45,
					rotation = 0,
					post_event = "Play_pln_cr2_109"
				},
				{
					x = 1524,
					y = 1508,
					text_id = "menu_pp_info_crojob2_locker_room",
					to_upper = true,
					icon = 45,
					rotation = 0,
					post_event = "Play_pln_cr2_110"
				},
				{
					x = 1526,
					y = 1336,
					text_id = "menu_pp_info_crojob2_office",
					to_upper = true,
					icon = 45,
					rotation = 0,
					post_event = "Play_pln_cr2_111"
				},
				{
					x = 348,
					y = 1122,
					text_id = "menu_pp_info_crojob2_storage_room",
					to_upper = true,
					icon = 45,
					rotation = 0,
					post_event = "Play_pln_cr2_112"
				},
				{
					x = 350,
					y = 1420,
					text_id = "menu_pp_info_crojob2_ship_control_room_left",
					to_upper = true,
					icon = 45,
					rotation = 0,
					post_event = "Play_pln_cr2_113"
				},
				{
					x = 1424,
					y = 1118,
					text_id = "menu_pp_info_crojob2_ship_control_room_right",
					to_upper = true,
					icon = 45,
					rotation = 0,
					post_event = "Play_pln_cr2_114"
				}
			}
		}
	}
end

end