Hooks:Add("LocalizationManagerPostInit", "HeistTesting_Localization_Eclipse", function(loc)
	LocalizationManager:add_localized_strings({
		["heist_eclipse1"] = "NIGHTCLUB",
		["heist_eclipse2"] = "AFTERSHOCK",
		["heist_eclipse3"] = "MELTDOWN",
		["heist_eclipse4"] = "DIAMOND STORE",
		["heist_eclipse5"] = "HOXTON",
		["heist_eclipse6"] = "BREAKOUT",
		["heist_eclipse7"] = "SLAUGHTERHOUSE",
		["heist_eclipse8"] = "HOXTON REVENGE",
		["heist_eclipse9"] = "FIRST WORLD BANK",
		["heist_eclipse10"] = "STEAL OR DESTROY",
		["heist_eclipse11"] = "FIND INFORMATION",
		["heist_eclipse12"] = "MENDOZA BANK",
		["heist_eclipse13"] = "UKRANIAN JOB",
		["heist_eclipse14"] = "BOILING POINT",
		["heist_eclipse"] = "ECLIPSE",
		["heist_contact_eclipse"] = "CUSTOM",
		["heist_eclipse_crimenet"] = "You think you can put up with this? Nothing more and nothing less than 14 days. Well, if you can complete in death wish, you will be called Death Wisher."
		})
end)



if not tweak_data then return end



tweak_data.narrative.jobs.eclipse = {}
tweak_data.narrative.jobs.eclipse.name_id = "heist_eclipse"
tweak_data.narrative.jobs.eclipse.briefing_id = "heist_eclipse_crimenet"
tweak_data.narrative.jobs.eclipse.contact = "hoxton_returns"
tweak_data.narrative.jobs.eclipse.jc = 60
tweak_data.narrative.jobs.eclipse.campaign = true
tweak_data.narrative.jobs.eclipse.professional = true
tweak_data.narrative.jobs.eclipse.region = "professional"
tweak_data.narrative.jobs.eclipse.chain = {
		{
			level_id = "eclipse1",
			type_id = "heist_type_assault",
			type = "d",
		},
		{
			level_id = "eclipse2",
			type_id = "heist_type_assault",
			type = "d"
		},
		{
			level_id = "eclipse3",
			type_id = "heist_type_assault",
			type = "d"
		},
		{
			level_id = "eclipse4",
			type_id = "heist_type_assault",
			type = "d"
		},
		{
			level_id = "eclipse5",
			type_id = "heist_type_assault",
			type = "d"
		},
		{
			level_id = "eclipse6",
			type_id = "heist_type_assault",
			type = "d"	
		},
		{
			level_id = "eclipse7",
			type_id = "heist_type_assault",
			type = "d"
		},
		{
			level_id = "eclipse8",
			type_id = "heist_type_assault",
			type = "d"	
		},
		{
			level_id = "eclipse9",
			type_id = "heist_type_assault",
			type = "d"
		},
		{
			level_id = "eclipse10",
			type_id = "heist_type_hijack",
			type = "d"
		},
		{
			level_id = "eclipse11",
			type_id = "heist_type_stealth",
			type = "d"
		},
		{
			level_id = "eclipse12",
			type_id = "heist_type_knockover",
			type = "d",
			mission = "default",
			mission_filter = {5}
		},
		{
			level_id = "eclipse13",
			type_id = "heist_type_assault",
			type = "d"
		},
		{
			level_id = "eclipse14",
			type_id = "heist_type_assault",
			type = "d"
		},
		
}
tweak_data.narrative.jobs.eclipse.briefing_event = { 
		""
	}
tweak_data.narrative.jobs.eclipse.crimenet_callouts = {
		"vld_nightclub_cnc_01",
		"vld_can_cnc_01",
		"vld_ko1b_cnc_01_01",
		"pln_fj1_cnc_01_01",
		"dentist_hb1_cnc_01",
		"pln_dn1_cnc_01",
		"hoxton_hb3_cnc_01_01",
		"pln_fwb_cnc_01",
		"hct_firestarter_cnc_01",
		"vld_ukranian_cnc_01",
		"rb14_mad_cnc_01"
	}
tweak_data.narrative.jobs.eclipse.crimenet_videos = {
		"cn_branchbank1",
		"cn_branchbank2",
		"cn_branchbank3"
}

tweak_data.narrative.jobs.eclipse.payout = {
	1160000,
	2320000,
	5800000,
	11600000,
	15200000,
	30000000,
	50000000
}
tweak_data.narrative.jobs.eclipse.contract_cost = {
	1160000,
	2320000,
	5800000,
	11600000,
	15200000,
	30000000,
	45000000
}
tweak_data.narrative.jobs.eclipse.experience_mul = {
		1.2,
		1.2,
		1.2,
		1.2,
		1.2,
		1.2,
		1.2
}

tweak_data.narrative.jobs.eclipse.contract_visuals = {}
tweak_data.narrative.jobs.eclipse.contract_visuals.min_mission_xp = {
		54000,
		54000,
		54000,
		54000,
		54000,
		54000,
		54000
}
tweak_data.narrative.jobs.eclipse.contract_visuals.max_mission_xp = {
		140000,
		140000,
		140000,
		140000,
		140000,
		140000,
		140000
}

table.insert(tweak_data.narrative._jobs_index, "eclipse")
table.insert(tweak_data.levels._level_index, "eclipse1")
table.insert(tweak_data.levels._level_index, "eclipse2")
table.insert(tweak_data.levels._level_index, "eclipse3")
table.insert(tweak_data.levels._level_index, "eclipse4")
table.insert(tweak_data.levels._level_index, "eclipse5")
table.insert(tweak_data.levels._level_index, "eclipse6")
table.insert(tweak_data.levels._level_index, "eclipse7")
table.insert(tweak_data.levels._level_index, "eclipse8")
table.insert(tweak_data.levels._level_index, "eclipse9")
table.insert(tweak_data.levels._level_index, "eclipse10")
table.insert(tweak_data.levels._level_index, "eclipse11")
table.insert(tweak_data.levels._level_index, "eclipse12")
table.insert(tweak_data.levels._level_index, "eclipse13")
table.insert(tweak_data.levels._level_index, "eclipse14")


table.insert(tweak_data.assets.grenade_crate.stages, "eclipse2")
table.insert(tweak_data.assets.grenade_crate.stages, "eclipse7")
table.insert(tweak_data.assets.grenade_crate.stages, "eclipse8")
table.insert(tweak_data.assets.grenade_crate.stages, "eclipse9")
table.insert(tweak_data.assets.grenade_crate.stages, "eclipse10")
table.insert(tweak_data.assets.grenade_crate.stages, "eclipse11")
table.insert(tweak_data.assets.grenade_crate.stages, "eclipse12")
table.insert(tweak_data.assets.grenade_crate.stages, "eclipse14")

table.insert(tweak_data.assets.ammo_bag.stages, "eclipse2")
table.insert(tweak_data.assets.ammo_bag.stages, "eclipse3")
table.insert(tweak_data.assets.ammo_bag.stages, "eclipse7")
table.insert(tweak_data.assets.ammo_bag.stages, "eclipse8")
table.insert(tweak_data.assets.ammo_bag.stages, "eclipse9")
table.insert(tweak_data.assets.ammo_bag.stages, "eclipse10")
table.insert(tweak_data.assets.ammo_bag.stages, "eclipse14")

table.insert(tweak_data.assets.health_bag.stages, "eclipse2")
table.insert(tweak_data.assets.health_bag.stages, "eclipse3")
table.insert(tweak_data.assets.health_bag.stages, "eclipse7")
table.insert(tweak_data.assets.health_bag.stages, "eclipse8")
table.insert(tweak_data.assets.health_bag.stages, "eclipse9")
table.insert(tweak_data.assets.health_bag.stages, "eclipse10")
table.insert(tweak_data.assets.health_bag.stages, "eclipse14")

table.insert(tweak_data.assets.sniper_spot_firestarter1.stages, "eclipse10")

table.insert(tweak_data.assets.firestarter_3_insiderinfo.stages, "eclipse12")
table.insert(tweak_data.assets.firestarter_3_map_basic.stages, "eclipse12")

table.insert(tweak_data.assets.safe_escape.stages, "eclipse1")
table.insert(tweak_data.assets.safe_escape.stages, "eclipse4")
table.insert(tweak_data.assets.safe_escape.stages, "eclipse13")

table.insert(tweak_data.assets.sniper_spot_jewelery.stages, "eclipse13")
table.insert(tweak_data.assets.ukrainian_job_tiara.stages, "eclipse13")
table.insert(tweak_data.assets.ukrainian_job_front.stages, "eclipse13")
table.insert(tweak_data.assets.ukrainian_job_cam.stages, "eclipse13")
table.insert(tweak_data.assets.ukrainian_job_metal_detector.stages, "eclipse13")
table.insert(tweak_data.assets.ukrainian_job_shutter.stages, "eclipse13")
table.insert(tweak_data.assets.security_safe_05x05.stages, "eclipse13")

table.insert(tweak_data.assets.mad_briefcase.stages, "eclipse14")
table.insert(tweak_data.assets.mad_russian_merc_cameras.stages, "eclipse14")

table.insert(tweak_data.assets.nightclub_ammo.stages, "eclipse1")
table.insert(tweak_data.assets.nightclub_health.stages, "eclipse1")
table.insert(tweak_data.assets.nightclub_fire1.stages, "eclipse1")
table.insert(tweak_data.assets.nightclub_fire2.stages, "eclipse1")
table.insert(tweak_data.assets.nightclub_badmusic.stages, "eclipse1")
table.insert(tweak_data.assets.nightclub_lootpickup.stages, "eclipse1")