Hooks:Add("LocalizationManagerPostInit", "HeistTesting_Localization_Farm", function(loc)
	LocalizationManager:add_localized_strings({
		["heist_farm1"] = "WHITE XMAS",
		["heist_farm2"] = "SANTA WORKSHOP",
		["heist_farm3"] = "COUNTERFEIT",
		["heist_farm4"] = "LAB RATS",
		["heist_farm5"] = "COOK OFF",
		["heist_farm"] = "FARM HEIST",
		["heist_contact_hoxret"] = "CUSTOM",
		["heist_farm_crimenet"] = "Doing the same thing over and over again."
		})
end)



if not tweak_data then return end



tweak_data.narrative.jobs.farm = {}
tweak_data.narrative.jobs.farm.name_id = "heist_farm"
tweak_data.narrative.jobs.farm.briefing_id = "heist_farm_crimenet"
tweak_data.narrative.jobs.farm.contact = "hoxton_returns"
tweak_data.narrative.jobs.farm.jc = 60
tweak_data.narrative.jobs.farm.campaign = true
tweak_data.narrative.jobs.farm.professional = true
tweak_data.narrative.jobs.farm.region = "professional"
tweak_data.narrative.jobs.farm.chain = {
		{
			level_id = "farm1",
			type_id = "heist_type_hijack",
		},
		{
			level_id = "farm2",
			type_id = "heist_type_hijack",
		},
		{
			level_id = "farm3",
			type_id = "heist_type_hijack",
		},
		{
			level_id = "farm4",
			type_id = "heist_type_hijack",
		},
		{
			level_id = "farm5",
			type_id = "heist_type_hijack",
		},
}
tweak_data.narrative.jobs.farm.briefing_event = "elp_framing_brf"
tweak_data.narrative.jobs.farm.crimenet_callouts = {
		"elp_framing_cmc_01"
	}
tweak_data.narrative.jobs.farm.crimenet_videos = {
		"cn_framingframe1",
		"cn_framingframe2",
		"cn_framingframe3"
}

tweak_data.narrative.jobs.farm.payout = {
	750000,
	1750000,
	3000000,
	5750000,
	7500000,
	8200000,
	9800000
}
tweak_data.narrative.jobs.farm.contract_cost = {
	128000,
	298000,
	620000,
	1240000,
	1600000,
	1800000,
	2000000
}
tweak_data.narrative.jobs.farm.experience_mul = {
		1,
		2,
		2.2,
		2.4,
		2.6,
		2.8,
		3.0
}

tweak_data.narrative.jobs.farm.contract_visuals = {}
tweak_data.narrative.jobs.farm.contract_visuals.min_mission_xp = {
		10000,
		20000,
		30000,
		40000,
		50000,
		60000,
		70000
}
tweak_data.narrative.jobs.farm.contract_visuals.max_mission_xp = {
		125000,
		175000,
		250000,
		350000,
		400000,
		450000,
		500000
}
tweak_data.narrative.jobs.farm.dlc = "pal"

table.insert(tweak_data.narrative._jobs_index, "farm")
table.insert(tweak_data.levels._level_index, "farm1")
table.insert(tweak_data.levels._level_index, "farm2")
table.insert(tweak_data.levels._level_index, "farm3")
table.insert(tweak_data.levels._level_index, "farm4")
table.insert(tweak_data.levels._level_index, "farm5")


table.insert(tweak_data.assets.ammo_bag.stages, "farm1")
table.insert(tweak_data.assets.health_bag.stages, "farm1")
table.insert(tweak_data.assets.grenade_crate.stages, "farm1")

table.insert(tweak_data.assets.ammo_bag.stages, "farm2")
table.insert(tweak_data.assets.health_bag.stages, "farm2")
table.insert(tweak_data.assets.grenade_crate.stages, "farm2")

table.insert(tweak_data.assets.ammo_bag.stages, "farm3")
table.insert(tweak_data.assets.health_bag.stages, "farm3")
table.insert(tweak_data.assets.grenade_crate.stages, "farm3")

table.insert(tweak_data.assets.ammo_bag.stages, "farm4")
table.insert(tweak_data.assets.health_bag.stages, "farm4")
table.insert(tweak_data.assets.grenade_crate.stages, "farm4")

table.insert(tweak_data.assets.grenade_crate.stages, "farm5")
table.insert(tweak_data.assets.sniper_spot_rats1.stages, "farm5")
table.insert(tweak_data.assets.rat_1_ammo.stages, "farm5")
table.insert(tweak_data.assets.rat_1_health.stages, "farm5")
table.insert(tweak_data.assets.rat_1_lights.stages, "farm5")