Hooks:Add("LocalizationManagerPostInit", "HeistTesting_Localization_Heat", function(loc)
	LocalizationManager:add_localized_strings({
		["heist_heat1"] = "CROSSROADS",
		["heist_heat2"] = "HARBOUR",
		["heist_heat3"] = "PARK",
		["heist_heat4"] = "UNDERPASS",
		["heist_heat5"] = "DOWNTOWN",
		["heist_heat6"] = "TRAIN",
		["heist_heat_n"] = "GAGE : ARMORED TRUCKS HEISTS",
		["heist_contact_story"] = "STORY",
		["heist_heat_crimenet"] = "4 armored trucks , we will take them using various transports for stealing and we are left with their cargo."
		})
end)



if not tweak_data then return end

tweak_data.narrative.contacts.story = {}
tweak_data.narrative.contacts.story.name_id = "heist_contact_story"
tweak_data.narrative.contacts.story.package = "packages/contact_bain"
tweak_data.narrative.contacts.story.assets_gui = Idstring("guis/mission_briefing/preload_contact_bain")

tweak_data.narrative.jobs.heat = {}
tweak_data.narrative.jobs.heat.name_id = "heist_heat_n"
tweak_data.narrative.jobs.heat.briefing_id = "heist_heat_crimenet"
tweak_data.narrative.jobs.heat.contact = "story"
tweak_data.narrative.jobs.heat.jc = 30
tweak_data.narrative.jobs.heat.professional = false
tweak_data.narrative.jobs.heat.region = "professional"
tweak_data.narrative.jobs.heat.chain = {
		{
			level_id = "heat1",
			type_id = "heist_type_assault",
			type = "e"
		},
		{
			level_id = "heat2",
			type_id = "heist_type_assault",
			type = "d"
		},
		{
			level_id = "heat3",
			type_id = "heist_type_assault",
			type = "d"
		},
		{
			level_id = "heat4",
			type_id = "heist_type_assault",
			type = "e"
		},
		{
			level_id = "heat5",
			type_id = "heist_type_assault",
			type = "d"
		},
		{
			level_id = "heat6",
			type_id = "heist_type_assault",
			type = "d"
		}
}
tweak_data.narrative.jobs.heat.briefing_event = "pln_at1_brf_01"
tweak_data.narrative.jobs.heat.crimenet_callouts = {
		"pln_at1_cnc_05_01"
}
tweak_data.narrative.jobs.heat.crimenet_videos = {
		"cn_branchbank1",
		"cn_branchbank3"
}

tweak_data.narrative.jobs.heat.payout = {
	250000,
	500000,
	1250000,
	2500000,
	3200000,
	4500000,
	5200000
}
tweak_data.narrative.jobs.heat.contract_cost = {
	62000,
	124000,
	310000,
	620000,
	800000,
	910000,
	980000
}
tweak_data.narrative.jobs.heat.experience_mul = {
		1.2,
		1.2,
		1.2,
		1.2,
		1.2,
		1.2,
		1.2
}

tweak_data.narrative.jobs.heat.contract_visuals = {}
tweak_data.narrative.jobs.heat.contract_visuals.min_mission_xp = {
		38000,
		38000,
		38000,
		38000,
		38000,
		38000,
		38000
}
tweak_data.narrative.jobs.heat.contract_visuals.max_mission_xp = {
		122000,
		122000,
		122000,
		122000,
		122000,
		122000,
		122000
	}
	
tweak_data.narrative.jobs.heat.dlc = "armored_transport"
	
table.insert(tweak_data.narrative._jobs_index, "heat")

table.insert(tweak_data.levels._level_index, "heat1")
table.insert(tweak_data.levels._level_index, "heat2")
table.insert(tweak_data.levels._level_index, "heat3")
table.insert(tweak_data.levels._level_index, "heat4")
table.insert(tweak_data.levels._level_index, "heat5")
table.insert(tweak_data.levels._level_index, "heat6")


table.insert(tweak_data.assets.safe_escape.stages, "heat1")
table.insert(tweak_data.assets.safe_escape.stages, "heat2")
table.insert(tweak_data.assets.safe_escape.stages, "heat3")
table.insert(tweak_data.assets.safe_escape.stages, "heat4")
table.insert(tweak_data.assets.safe_escape.stages, "heat5")
table.insert(tweak_data.assets.safe_escape.stages, "heat6")


table.insert(tweak_data.assets.bodybags_bag.stages, "heat6")

table.insert(tweak_data.assets.grenade_crate.stages, "heat6")

table.insert(tweak_data.assets.ammo_bag.stages, "heat6")

table.insert(tweak_data.assets.health_bag.stages, "heat6")

table.insert(tweak_data.assets.arm_for_health.stages, "heat1")
table.insert(tweak_data.assets.arm_for_health.stages, "heat2")
table.insert(tweak_data.assets.arm_for_health.stages, "heat3")
table.insert(tweak_data.assets.arm_for_health.stages, "heat4")
table.insert(tweak_data.assets.arm_for_health.stages, "heat5")

table.insert(tweak_data.assets.arm_for_ammo.stages, "heat1")
table.insert(tweak_data.assets.arm_for_ammo.stages, "heat2")
table.insert(tweak_data.assets.arm_for_ammo.stages, "heat3")
table.insert(tweak_data.assets.arm_for_ammo.stages, "heat4")
table.insert(tweak_data.assets.arm_for_ammo.stages, "heat5")

table.insert(tweak_data.assets.arm_cro_info.stages, "heat1")
table.insert(tweak_data.assets.arm_fac_info.stages, "heat2")
table.insert(tweak_data.assets.arm_par_info.stages, "heat3")
table.insert(tweak_data.assets.arm_und_info.stages, "heat4")
table.insert(tweak_data.assets.arm_hcm_info.stages, "heat5")

--[[table.insert(tweak_data.assets.bodybags.stages, "heat1")
table.insert(tweak_data.assets.bodybags.stages, "heat1b")
table.insert(tweak_data.assets.bodybags.stages, "heat5")

table.insert(tweak_data.assets.spotter.stages, "heat1")
table.insert(tweak_data.assets.spotter.stages, "heat1b")

table.insert(tweak_data.assets.grenade_crate.stages, "heat1")
table.insert(tweak_data.assets.grenade_crate.stages, "heat1c")
table.insert(tweak_data.assets.grenade_crate.stages, "heat1c_skip1")
table.insert(tweak_data.assets.grenade_crate.stages, "heat1c_skip2")
table.insert(tweak_data.assets.grenade_crate.stages, "heat5")

table.insert(tweak_data.assets.ammo_bag.stages, "heat1")
table.insert(tweak_data.assets.ammo_bag.stages, "heat1b")
table.insert(tweak_data.assets.ammo_bag.stages, "heat1c")
table.insert(tweak_data.assets.ammo_bag.stages, "heat1c_skip1")
table.insert(tweak_data.assets.ammo_bag.stages, "heat1c_skip2")
table.insert(tweak_data.assets.ammo_bag.stages, "heat5")

table.insert(tweak_data.assets.health_bag.stages, "heat1")
table.insert(tweak_data.assets.health_bag.stages, "heat1b")
table.insert(tweak_data.assets.health_bag.stages, "heat1c")
table.insert(tweak_data.assets.health_bag.stages, "heat1c_skip1")
table.insert(tweak_data.assets.health_bag.stages, "heat1c_skip2")
table.insert(tweak_data.assets.health_bag.stages, "heat5")

table.insert(tweak_data.assets.sniper_spot_election1.stages, "heat1")
table.insert(tweak_data.assets.sniper_spot_election2.stages, "heat1b")

table.insert(tweak_data.assets.election_day_1_keycard.stages, "heat1")
table.insert(tweak_data.assets.election_day_2_keycard.stages, "heat1b")
table.insert(tweak_data.assets.election_day_2_ladder.stages, "heat1b")]]