Hooks:Add("LocalizationManagerPostInit", "HeistTesting_Localization_hector", function(loc)
	LocalizationManager:add_localized_strings({
		["heist_hector1"] = "MOVING MERCHANDISE",
		["heist_hector2"] = "ASSURING THE GOODS",
		["heist_hector3"] = "WAR IS FANTASTIC",
		["heist_hector4"] = "STEALING DATA",
		["heist_hector5"] = "MENDOZA BANK",
		["heist_hector6"] = "COOK OFF",
		["heist_hector7"] = "GROVE STREET",
		["heist_hector8"] = "KILLING RATS",
		["heist_hector"] = "HECTOR : HECTOR HEISTS",
		["heist_contact_story"] = "STORY",
		["heist_hector_crimenet"] = "We will collect all drugs of Hector. It seems pretty upset from the last time I visited the nightclub."
		})
end)



if not tweak_data then return end

tweak_data.narrative.contacts.story = {}
tweak_data.narrative.contacts.story.name_id = "heist_contact_story"
tweak_data.narrative.contacts.story.package = "packages/contact_bain"
tweak_data.narrative.contacts.story.assets_gui = Idstring("guis/mission_briefing/preload_contact_bain")

tweak_data.narrative.jobs.hector = {}
tweak_data.narrative.jobs.hector.name_id = "heist_hector"
tweak_data.narrative.jobs.hector.briefing_id = "heist_hector_crimenet"
tweak_data.narrative.jobs.hector.contact = "story"
tweak_data.narrative.jobs.hector.jc = 60
tweak_data.narrative.jobs.hector.professional = false
tweak_data.narrative.jobs.hector.region = "professional"
tweak_data.narrative.jobs.hector.chain = {
		{
			level_id = "hector1",
			type_id = "heist_type_survive",
			type = "e"
		},
		
		{
			level_id = "hector2",
			type_id = "heist_type_survive",
			type = "e"
		},
		
		{
			level_id = "hector3",
			type_id = "heist_type_hijack",
			type = "e"
		},
		
		{
			level_id = "hector4",
			type_id = "heist_type_hijack",
			type = "e"
		},
		
		{
			level_id = "hector5",
			type_id = "heist_type_hijack",
			type = "d",
			mission = "default",
			mission_filter = {5}
		},
		
		{
			level_id = "hector6",
			type_id = "heist_type_survive",
			type = "d"
		},
		
		{
			level_id = "hector7",
			type_id = "heist_type_survive",
			type = "d"
		},
		
		{
			level_id = "hector8",
			type_id = "heist_type_assault",
			type = "d"
		},
}
tweak_data.narrative.jobs.hector.briefing_event = "hct_watchdogs_brf_speak"
tweak_data.narrative.jobs.hector.crimenet_callouts = {
		"hct_watchdogs_cnc_01",
		"hct_firestarter_cnc_01",
		"hct_rats_cnc_01"
	}
tweak_data.narrative.jobs.hector.crimenet_videos = {
		"cn_watchdog1",
		"cn_watchdog2",
		"cn_watchdog3",
		"cn_fires1",
		"cn_fires2",
		"cn_fires3",
		"cn_rat1",
		"cn_rat2",
		"cn_rat3",
		"contact_hector1",
		"contact_hector2",
		"contact_hector3"
}

tweak_data.narrative.jobs.hector.payout = {
	250000,
	500000,
	1250000,
	2500000,
	3200000,
	4500000,
	5200000
}
tweak_data.narrative.jobs.hector.contract_cost = {
	62000,
	124000,
	310000,
	620000,
	800000,
	920000,
	980000
}
tweak_data.narrative.jobs.hector.experience_mul = {
		1.2,
		1.2,
		1.2,
		1.2,
		1.2,
		1.2,
		1.2
}

tweak_data.narrative.jobs.hector.contract_visuals = {}
tweak_data.narrative.jobs.hector.contract_visuals.min_mission_xp = {
		38000,
		38000,
		38000,
		38000,
		38000,
		38000,
		38000
}
tweak_data.narrative.jobs.hector.contract_visuals.max_mission_xp = {
		122000,
		122000,
		122000,
		122000,
		122000,
		122000,
		122000
}


table.insert(tweak_data.narrative._jobs_index, "hector")
table.insert(tweak_data.levels._level_index, "hector1")
table.insert(tweak_data.levels._level_index, "hector2")
table.insert(tweak_data.levels._level_index, "hector3")
table.insert(tweak_data.levels._level_index, "hector4")
table.insert(tweak_data.levels._level_index, "hector5")
table.insert(tweak_data.levels._level_index, "hector6")
table.insert(tweak_data.levels._level_index, "hector7")
table.insert(tweak_data.levels._level_index, "hector8")


table.insert(tweak_data.assets.ammo_bag.stages, "hector1")
table.insert(tweak_data.assets.health_bag.stages, "hector1")
table.insert(tweak_data.assets.grenade_crate.stages, "hector1")
table.insert(tweak_data.assets.safe_escape.stages, "hector1")

table.insert(tweak_data.assets.ammo_bag.stages, "hector2")
table.insert(tweak_data.assets.health_bag.stages, "hector2")
table.insert(tweak_data.assets.grenade_crate.stages, "hector2")
table.insert(tweak_data.assets.watchdogs_2_sniper.stages, "hector2")

table.insert(tweak_data.assets.sniper_spot_firestarter1.stages, "hector3")
table.insert(tweak_data.assets.firestarter_1_ammo.stages, "hector3")
table.insert(tweak_data.assets.firestarter_1_health.stages, "hector3")
table.insert(tweak_data.assets.grenade_crate.stages, "hector3")


table.insert(tweak_data.assets.spotter.stages, "hector4")
table.insert(tweak_data.assets.firestarter_2_cam.stages, "hector4")
table.insert(tweak_data.assets.grenade_crate.stages, "hector4")
table.insert(tweak_data.assets.bodybags_bag.stages, "hector4")

table.insert(tweak_data.assets.firestarter_3_insiderinfo.stages, "hector5")
table.insert(tweak_data.assets.firestarter_3_map_basic.stages, "hector5")

table.insert(tweak_data.assets.sniper_spot_rats1.stages, "hector6")
table.insert(tweak_data.assets.rat_1_ammo.stages, "hector6")
table.insert(tweak_data.assets.rat_1_health.stages, "hector6")
table.insert(tweak_data.assets.rat_1_lights.stages, "hector6")
table.insert(tweak_data.assets.grenade_crate.stages, "hector6")

table.insert(tweak_data.assets.sniper_spot_rats3.stages, "hector8")
table.insert(tweak_data.assets.rat_3_pilot.stages, "hector8")