if RequiredScript == "lib/tweak_data/levelstweakdata" then

local LevelsTweakDataoiinit = LevelsTweakData.init

function LevelsTweakData:init(...)

				LevelsTweakDataoiinit(self, ...)
    
	self.moretta1 = {}
	self.moretta1.name_id = "heist_moretta1"
	self.moretta1.briefing_id = "heist_crojob3_briefing"
	self.moretta1.briefing_dialog = "Play_pln_cr3_brf_01"
	self.moretta1.world_name = "narratives/butcher/thebomb/stage_3"
	self.moretta1.intro_event = "Play_pln_cr3_intro_01"
	self.moretta1.outro_event = "lol"
	self.moretta1.music = "heist"
	self.moretta1.package = {
		"packages/dlcs/the_bomb/crojob_stage_3"
	}
	self.moretta1.cube = "cube_apply_heist_bank"
	self.moretta1.max_bags = 16
	
	self.moretta2 = {}
	self.moretta2.name_id = "heist_moretta2"
	self.moretta2.briefing_id = "heist_crojob2_briefing"
	self.moretta2.briefing_dialog = "Play_pln_cr2_brf_01"
	self.moretta2.world_name = "narratives/butcher/thebomb/stage_2"
	self.moretta2.intro_event = "Play_pln_cr2_intro_01"
	self.moretta2.outro_event = {
		"butcher_cr1_debrief_01",
		"butcher_cr1_debrief_02"
	}
	self.moretta2.music = "heist"
	self.moretta2.package = {
		"packages/dlcs/the_bomb/crojob_stage_2"
	}
	self.moretta2.cube = "cube_apply_heist_bank"
	self.moretta2.ghost_bonus = 0.2
	self.moretta2.max_bags = 21
end


elseif RequiredScript == "lib/tweak_data/preplanningtweakdata" then

local PrePlanningTweakData_oinit = PrePlanningTweakData._create_locations

function PrePlanningTweakData:_create_locations(tweak_data)
PrePlanningTweakData_oinit(self, tweak_data)
	
	self.locations.moretta1 = {
		default_plans = {
			escape_plan = "crojob3_escape_boat"
		},
		total_budget = 10,
		mission_briefing_texture = "guis/textures/pd2/pre_planning/mission_briefing_crojob_loud",
		start_location = {
			group = "a",
			x = 512,
			y = 512,
			zoom = 1
		},
		{
			name_id = "menu_pp_crojob_stage_3_loc_a",
			texture = "guis/dlcs/the_bomb/textures/pd2/pre_planning/crojob_stage_3_a",
			map_x = 0,
			map_y = -0.5,
			map_size = 1,
			x1 = -50,
			y1 = -4225,
			x2 = 14950,
			y2 = 10775,
			rotation = 0,
			custom_points = {
				{
					x = 512,
					y = 550,
					text_id = "menu_pp_info_crojob3_vault",
					to_upper = true,
					icon = 45,
					rotation = 0,
					post_event = "Play_pln_cr3_48"
				},
				{
					x = 846,
					y = 584,
					text_id = "menu_pp_info_crojob3_water_pump",
					to_upper = true,
					icon = 45,
					rotation = 0,
					post_event = "Play_pln_cr3_50"
				}
			}
		},
		{
			name_id = "menu_pp_crojob_stage_3_loc_b",
			texture = "guis/dlcs/the_bomb/textures/pd2/pre_planning/crojob_stage_3_b",
			map_x = 0,
			map_y = 0.5,
			map_size = 1,
			x1 = -50,
			y1 = -19225,
			x2 = 13250,
			y2 = -4225,
			rotation = 0,
			custom_points = {
				{
					x = 533,
					y = 566,
					text_id = "menu_pp_info_crojob3_thermite",
					to_upper = true,
					icon = 45,
					rotation = 0,
					post_event = "Play_pln_cr3_49"
				}
			}
		}
	}
	
	self.locations.moretta2 = {
		default_plans = {
			escape_plan = "crojob2_escape_van"
		},
		total_budget = 10,
		mission_briefing_texture = "guis/textures/pd2/pre_planning/mission_briefing_crojob_stealth",
		start_location = {
			group = "a",
			x = 1024,
			y = 1024,
			zoom = 1.5
		},
		{
			name_id = "menu_pp_crojob_stage_2_loc_a",
			texture = "guis/dlcs/the_bomb/textures/pd2/pre_planning/crojob_stage_2_a",
			map_x = 0,
			map_y = 0,
			map_size = 1,
			x1 = -9500,
			y1 = -8500,
			x2 = 10500,
			y2 = 11500,
			rotation = 0,
			custom_points = {
				{
					x = 964,
					y = 1134,
					text_id = "menu_pp_info_crojob2_ship",
					to_upper = true,
					icon = 45,
					rotation = 0,
					post_event = "Play_pln_cr2_14"
				},
				{
					x = 454,
					y = 538,
					text_id = "menu_pp_info_crojob2_loading_dock_3B",
					to_upper = true,
					icon = 45,
					rotation = 0,
					post_event = "Play_pln_cr2_105"
				},
				{
					x = 964,
					y = 770,
					text_id = "menu_pp_info_crojob2_dock_gate",
					to_upper = true,
					icon = 45,
					rotation = 0,
					post_event = "Play_pln_cr2_106"
				},
				{
					x = 1134,
					y = 768,
					text_id = "menu_pp_info_crojob2_control_room_right",
					to_upper = true,
					icon = 45,
					rotation = 0,
					post_event = "Play_pln_cr2_107"
				},
				{
					x = 798,
					y = 768,
					text_id = "menu_pp_info_crojob2_control_room_left",
					to_upper = true,
					icon = 45,
					rotation = 0,
					post_event = "Play_pln_cr2_108"
				},
				{
					x = 82,
					y = 702,
					text_id = "menu_pp_info_crojob2_fence_gate",
					to_upper = true,
					icon = 45,
					rotation = 0,
					post_event = "Play_pln_cr2_109"
				},
				{
					x = 1524,
					y = 1508,
					text_id = "menu_pp_info_crojob2_locker_room",
					to_upper = true,
					icon = 45,
					rotation = 0,
					post_event = "Play_pln_cr2_110"
				},
				{
					x = 1526,
					y = 1336,
					text_id = "menu_pp_info_crojob2_office",
					to_upper = true,
					icon = 45,
					rotation = 0,
					post_event = "Play_pln_cr2_111"
				},
				{
					x = 348,
					y = 1122,
					text_id = "menu_pp_info_crojob2_storage_room",
					to_upper = true,
					icon = 45,
					rotation = 0,
					post_event = "Play_pln_cr2_112"
				},
				{
					x = 350,
					y = 1420,
					text_id = "menu_pp_info_crojob2_ship_control_room_left",
					to_upper = true,
					icon = 45,
					rotation = 0,
					post_event = "Play_pln_cr2_113"
				},
				{
					x = 1424,
					y = 1118,
					text_id = "menu_pp_info_crojob2_ship_control_room_right",
					to_upper = true,
					icon = 45,
					rotation = 0,
					post_event = "Play_pln_cr2_114"
				}
			}
		}
	}
end

end