Hooks:Add("LocalizationManagerPostInit", "HeistTesting_Localization_Transport", function(loc)
	LocalizationManager:add_localized_strings({
		["heist_transport1"] = "CROSSROADS",
		["heist_transport2"] = "HARBOUR",
		["heist_transport3"] = "UNDERPASS",
		["heist_transport4"] = "PARK",
		["heist_transport5"] = "DOWNTOWN",
		["heist_transport6"] = "TRAIN",
		["heist_transport"] = "TRANSPORT",
		["heist_transport_crimenet"] = "The transport. Thanks for playing"
		})
end)



if not tweak_data then return end

tweak_data.narrative.jobs.transport = {}
tweak_data.narrative.jobs.transport.name_id = "heist_transport"
tweak_data.narrative.jobs.transport.briefing_id = "heist_transport_crimenet"
tweak_data.narrative.jobs.transport.contact = "hoxton_returns"
tweak_data.narrative.jobs.transport.jc = 30
tweak_data.narrative.jobs.transport.campaign = true
tweak_data.narrative.jobs.transport.professional = true
tweak_data.narrative.jobs.transport.region = "professional"
tweak_data.narrative.jobs.transport.chain = {
		{
			level_id = "transport1",
			type_id = "heist_type_assault",
			type = "e"
		},
		{
			level_id = "transport2",
			type_id = "heist_type_assault",
			type = "d"
		},
		{
			level_id = "transport3",
			type_id = "heist_type_assault",
			type = "d"
		},
		{
			level_id = "transport4",
			type_id = "heist_type_assault",
			type = "e"
		},
		{
			level_id = "transport5",
			type_id = "heist_type_assault",
			type = "d"
		},
		{
			level_id = "transport6",
			type_id = "heist_type_assault",
			type = "d"
		},
		{
			level_id = "transport7",
			type_id = "heist_type_assault",
			type = "d"
		}
}
tweak_data.narrative.jobs.transport.briefing_event = "pln_at1_brf_01"
tweak_data.narrative.jobs.transport.crimenet_callouts = {
		"pln_at1_cnc_01"
}
tweak_data.narrative.jobs.transport.crimenet_videos = {
		"cn_branchbank1",
		"cn_branchbank3"
}

tweak_data.narrative.jobs.transport.payout = {
	59500,
	77000,
	210000,
	224000,
	308000,
	350000,
	390000
}
tweak_data.narrative.jobs.transport.contract_cost = {
	112000,
	224000,
	560000,
	1120000,
	1400000,
	1600000,
	2000000
}
tweak_data.narrative.jobs.transport.experience_mul = {
		1,
		1,
		1,
		1.2,
		1.2,
		1.2,
		1.2
}

tweak_data.narrative.jobs.transport.contract_visuals = {}
tweak_data.narrative.jobs.transport.contract_visuals.min_mission_xp = {
		32000,
		32000,
		32000,
		32000,
		32000,
		32000,
		32000
}
tweak_data.narrative.jobs.transport.contract_visuals.max_mission_xp = {
		48000,
		48000,
		48000,
		48000,
		48000,
		48000,
		48000
	}
	
tweak_data.narrative.jobs.transport.dlc = "armored_transport"
	
table.insert(tweak_data.narrative._jobs_index, "transport")

table.insert(tweak_data.levels._level_index, "transport1")
table.insert(tweak_data.levels._level_index, "transport2")
table.insert(tweak_data.levels._level_index, "transport3")
table.insert(tweak_data.levels._level_index, "transport4")
table.insert(tweak_data.levels._level_index, "transport5")
table.insert(tweak_data.levels._level_index, "transport6")
table.insert(tweak_data.levels._level_index, "transport7")

table.insert(tweak_data.assets.safe_escape.stages, "transport1")
table.insert(tweak_data.assets.safe_escape.stages, "transport2")
table.insert(tweak_data.assets.safe_escape.stages, "transport3")
table.insert(tweak_data.assets.safe_escape.stages, "transport4")
table.insert(tweak_data.assets.safe_escape.stages, "transport5")
table.insert(tweak_data.assets.safe_escape.stages, "transport6")


table.insert(tweak_data.assets.bodybags_bag.stages, "transport6")

table.insert(tweak_data.assets.grenade_crate.stages, "transport6")

table.insert(tweak_data.assets.ammo_bag.stages, "transport6")

table.insert(tweak_data.assets.health_bag.stages, "transport6")

table.insert(tweak_data.assets.arm_for_health.stages, "transport1")
table.insert(tweak_data.assets.arm_for_health.stages, "transport2")
table.insert(tweak_data.assets.arm_for_health.stages, "transport3")
table.insert(tweak_data.assets.arm_for_health.stages, "transport4")
table.insert(tweak_data.assets.arm_for_health.stages, "transport5")

table.insert(tweak_data.assets.arm_for_ammo.stages, "transport1")
table.insert(tweak_data.assets.arm_for_ammo.stages, "transport2")
table.insert(tweak_data.assets.arm_for_ammo.stages, "transport3")
table.insert(tweak_data.assets.arm_for_ammo.stages, "transport4")
table.insert(tweak_data.assets.arm_for_ammo.stages, "transport5")

table.insert(tweak_data.assets.arm_cro_info.stages, "transport1")
table.insert(tweak_data.assets.arm_fac_info.stages, "transport2")
table.insert(tweak_data.assets.arm_und_info.stages, "transport3")
table.insert(tweak_data.assets.arm_par_info.stages, "transport4")
table.insert(tweak_data.assets.arm_hcm_info.stages, "transport5")

table.insert(tweak_data.assets.ammo_bag.stages, "transport7")
table.insert(tweak_data.assets.health_bag.stages, "transport7")

--[[table.insert(tweak_data.assets.bodybags.stages, "transport1")
table.insert(tweak_data.assets.bodybags.stages, "transport1b")
table.insert(tweak_data.assets.bodybags.stages, "transport5")

table.insert(tweak_data.assets.spotter.stages, "transport1")
table.insert(tweak_data.assets.spotter.stages, "transport1b")

table.insert(tweak_data.assets.grenade_crate.stages, "transport1")
table.insert(tweak_data.assets.grenade_crate.stages, "transport1c")
table.insert(tweak_data.assets.grenade_crate.stages, "transport1c_skip1")
table.insert(tweak_data.assets.grenade_crate.stages, "transport1c_skip2")
table.insert(tweak_data.assets.grenade_crate.stages, "transport5")

table.insert(tweak_data.assets.ammo_bag.stages, "transport1")
table.insert(tweak_data.assets.ammo_bag.stages, "transport1b")
table.insert(tweak_data.assets.ammo_bag.stages, "transport1c")
table.insert(tweak_data.assets.ammo_bag.stages, "transport1c_skip1")
table.insert(tweak_data.assets.ammo_bag.stages, "transport1c_skip2")
table.insert(tweak_data.assets.ammo_bag.stages, "transport5")

table.insert(tweak_data.assets.health_bag.stages, "transport1")
table.insert(tweak_data.assets.health_bag.stages, "transport1b")
table.insert(tweak_data.assets.health_bag.stages, "transport1c")
table.insert(tweak_data.assets.health_bag.stages, "transport1c_skip1")
table.insert(tweak_data.assets.health_bag.stages, "transport1c_skip2")
table.insert(tweak_data.assets.health_bag.stages, "transport5")

table.insert(tweak_data.assets.sniper_spot_election1.stages, "transport1")
table.insert(tweak_data.assets.sniper_spot_election2.stages, "transport1b")

table.insert(tweak_data.assets.election_day_1_keycard.stages, "transport1")
table.insert(tweak_data.assets.election_day_2_keycard.stages, "transport1b")
table.insert(tweak_data.assets.election_day_2_ladder.stages, "transport1b")]]