Hooks:Add("LocalizationManagerPostInit", "HeistTesting_Localization_Vlad", function(loc)
	LocalizationManager:add_localized_strings({
		["heist_vlad1"] = "FOUR STORES",
		["heist_vlad2"] = "MALLCRASHER",
		["heist_vlad3"] = "NIGHTCLUB",
		["heist_vlad4"] = "UKRANIAN JOB",
		["heist_vlad5"] = "MELTDOWN",
		["heist_vlad6"] = "AFTERSHOCK",
		["heist_vlad7"] = "LOVE FOR GOATS",
		["heist_vlad8"] = "HOLIDAY ON THE FARM",
		["heist_vlad9"] = "WHITE XMAS",
		["heist_vlad10"] = "SANTA WORKSHOP",
		["heist_vlad"] = "VLAD : UKRANIANS HEISTS",
		["heist_contact_story"] = "STORY",
		["heist_vlad_crimenet"] = "The story of a good man born in Ukraine is a bit dark. He can be good, but in many ways it can be hard to kill. Do what he says never do angering Vlad."
		})
end)



if not tweak_data then return end

tweak_data.narrative.contacts.story = {}
tweak_data.narrative.contacts.story.name_id = "heist_contact_story"
tweak_data.narrative.contacts.story.package = "packages/contact_bain"
tweak_data.narrative.contacts.story.assets_gui = Idstring("guis/mission_briefing/preload_contact_bain")

tweak_data.narrative.jobs.vlad = {}
tweak_data.narrative.jobs.vlad.name_id = "heist_vlad"
tweak_data.narrative.jobs.vlad.briefing_id = "heist_vlad_crimenet"
tweak_data.narrative.jobs.vlad.contact = "story"
tweak_data.narrative.jobs.vlad.jc = 60
tweak_data.narrative.jobs.vlad.professional = false
tweak_data.narrative.jobs.vlad.region = "professional"
tweak_data.narrative.jobs.vlad.chain = {
		{
			level_id = "vlad1",
			type_id = "heist_type_assault",
			type = "d"
		},
		{
			level_id = "vlad2",
			type_id = "heist_type_assault",
			type = "d"
		},
		{
			level_id = "vlad3",
			type_id = "heist_type_assault",
			type = "d"
		},
		{
			level_id = "vlad4",
			type_id = "heist_type_assault",
			type = "d"
		},
		{
			level_id = "vlad5",
			type_id = "heist_type_knockover",
			type = "d"
		},
		{
			level_id = "vlad6",
			type_id = "heist_type_assault",
			type = "d"
		},
		{
			level_id = "vlad7",
			type_id = "heist_type_assault",
			type = "d"
		},
		{
			level_id = "vlad8",
			type_id = "heist_type_assault",
			type = "d"
		},
		{
			level_id = "vlad9",
			type_id = "heist_type_assault",
			type = "d"
		},
		{
			level_id = "vlad10",
			type_id = "heist_type_assault",
			type = "d"
		},
}
tweak_data.narrative.jobs.vlad.briefing_event = "vld_nightclub_brf"
tweak_data.narrative.jobs.vlad.crimenet_callouts = {
		"vld_nightclub_cnc_01"
	}
tweak_data.narrative.jobs.vlad.crimenet_videos = {
		"cn_nightc1",
		"cn_nightc2",
		"cn_nightc3"
}

tweak_data.narrative.jobs.vlad.payout = {
	250000,
	500000,
	1250000,
	2500000,
	3200000,
	4500000,
	5200000
}
tweak_data.narrative.jobs.vlad.contract_cost = {
	62000,
	124000,
	310000,
	620000,
	800000,
	950000,
	1000000,
}
tweak_data.narrative.jobs.vlad.experience_mul = {
		1.2,
		1.2,
		1.2,
		1.2,
		1.2,
		1.2,
		1.2
}

tweak_data.narrative.jobs.vlad.contract_visuals = {}
tweak_data.narrative.jobs.vlad.contract_visuals.min_mission_xp = {
		38000,
		38000,
		38000,
		38000,
		38000,
		38000,
		38000
}
tweak_data.narrative.jobs.vlad.contract_visuals.max_mission_xp = {
		122000,
		122000,
		122000,
		122000,
		122000,
		122000,
		122000
}


table.insert(tweak_data.narrative._jobs_index, "vlad")
table.insert(tweak_data.levels._level_index, "vlad1")
table.insert(tweak_data.levels._level_index, "vlad2")
table.insert(tweak_data.levels._level_index, "vlad3")
table.insert(tweak_data.levels._level_index, "vlad4")
table.insert(tweak_data.levels._level_index, "vlad5")
table.insert(tweak_data.levels._level_index, "vlad6")
table.insert(tweak_data.levels._level_index, "vlad7")
table.insert(tweak_data.levels._level_index, "vlad8")
table.insert(tweak_data.levels._level_index, "vlad9")
table.insert(tweak_data.levels._level_index, "vlad10")


table.insert(tweak_data.assets.safe_escape.stages, "vlad1")
table.insert(tweak_data.assets.bodybags_bag.stages, "vlad1")
table.insert(tweak_data.assets.four_stores_overview.stages, "vlad1")

table.insert(tweak_data.assets.mallcrasher_health.stages, "vlad2")
table.insert(tweak_data.assets.mallcrasher_ammo.stages, "vlad2")
table.insert(tweak_data.assets.mallcrasher_gascan_south.stages, "vlad2")
table.insert(tweak_data.assets.mallcrasher_gascan_north.stages, "vlad2")

table.insert(tweak_data.assets.nightclub_ammo.stages, "vlad3")
table.insert(tweak_data.assets.nightclub_health.stages, "vlad3")
table.insert(tweak_data.assets.nightclub_fire1.stages, "vlad3")
table.insert(tweak_data.assets.nightclub_fire2.stages, "vlad3")
table.insert(tweak_data.assets.nightclub_badmusic.stages, "vlad3")
table.insert(tweak_data.assets.nightclub_lootpickup.stages, "vlad3")
table.insert(tweak_data.assets.safe_escape.stages, "vlad3")
table.insert(tweak_data.assets.bodybags_bag.stages, "vlad3")

table.insert(tweak_data.assets.ukrainian_job_tiara.stages, "vlad4")
table.insert(tweak_data.assets.ukrainian_job_front.stages, "vlad4")
table.insert(tweak_data.assets.ukrainian_job_cam.stages, "vlad4")
table.insert(tweak_data.assets.ukrainian_job_metal_detector.stages, "vlad4")
table.insert(tweak_data.assets.ukrainian_job_shutter.stages, "vlad4")
table.insert(tweak_data.assets.security_safe_05x05.stages, "vlad4")
table.insert(tweak_data.assets.safe_escape.stages, "vlad4")
table.insert(tweak_data.assets.bodybags_bag.stages, "vlad4")
table.insert(tweak_data.assets.sniper_spot_jewelery.stages, "vlad4")

table.insert(tweak_data.assets.ammo_bag.stages, "vlad5")
table.insert(tweak_data.assets.health_bag.stages, "vlad5")

table.insert(tweak_data.assets.ammo_bag.stages, "vlad6")
table.insert(tweak_data.assets.health_bag.stages, "vlad6")
table.insert(tweak_data.assets.grenade_crate.stages, "vlad6")

table.insert(tweak_data.assets.grenade_crate.stages, "vlad7")
table.insert(tweak_data.assets.ammo_bag.stages, "vlad7")
table.insert(tweak_data.assets.health_bag.stages, "vlad7")

table.insert(tweak_data.assets.grenade_crate.stages, "vlad8")
table.insert(tweak_data.assets.ammo_bag.stages, "vlad8")
table.insert(tweak_data.assets.health_bag.stages, "vlad8")
table.insert(tweak_data.assets.planks.stages, "vlad8")

table.insert(tweak_data.assets.grenade_crate.stages, "vlad10")
table.insert(tweak_data.assets.ammo_bag.stages, "vlad10")
table.insert(tweak_data.assets.health_bag.stages, "vlad10")